Axis2/C: async result

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# async result
[client API]

## Files
file | axis2_async_result.h
## Typedefs
typedef struct axis2_async_result | axis2_async_result_t
## Functions
AXIS2_EXTERN axiom_soap_envelope_t * | axis2_async_result_get_envelope (axis2_async_result_t *async_result, const axutil_env_t *env)
AXIS2_EXTERN axis2_msg_ctx_t * | axis2_async_result_get_result (axis2_async_result_t *async_result, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_async_result_free (axis2_async_result_t *async_result, const axutil_env_t *env)
AXIS2_EXTERN axis2_async_result_t * | axis2_async_result_create (const axutil_env_t *env, axis2_msg_ctx_t *result)

## Detailed Description

async_result is used to capture the result of an asynchronous invocation. async_result stores the result in the form of a message context instance, the user can extract the resulting SOAP envelope from this message context.

## Typedef Documentation

typedef struct axis2_async_result axis2_async_result_t

Type name for struct axis2_async_result

## Function Documentation

AXIS2_EXTERN axis2_async_result_t* axis2_async_result_create | ( | const axutil_env_t * | env,
|  | axis2_msg_ctx_t * | result |
| ) |  |  |

Creates an async result struct to help deal with results of asynchronous invocations.

Parameters:

  | env | pointer to environment struct
  | result | pointer to result message context into which the resulting SOAP message is to be captured

Returns:
  newly created async_result struct

AXIS2_EXTERN void axis2_async_result_free | ( | axis2_async_result_t * | async_result,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees the async result.

Parameters:

  | async_result | pointer to async result struct
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axiom_soap_envelope_t* axis2_async_result_get_envelope | ( | axis2_async_result_t * | async_result,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the SOAP envelope stored inside the resulting message context.

Parameters:

  | async_result | pointer to async result struct
  | env | pointer to environment struct

Returns:
  pointer to the result SOAP envelope in the message context.

AXIS2_EXTERN axis2_msg_ctx_t* axis2_async_result_get_result | ( | axis2_async_result_t * | async_result,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the result in the form of message context.

Parameters:

  | async_result | pointer to async result struct
  | env | pointer to environment struct

Returns:
  pointer to result message context